# BadQuanta likes X11
# == Variables
# [$session]
#  Session specifes what the default X11 session should be.
class badstation::x11(
  $window_manager = 'awesome',  
  $display_manager = 'slim',
  $x2go = $badstation::remote,
) {
  case($window_manager){ # Tweak the ones we know.
    'awesome':{
      package{'awesome':
        ensure => 'present'
      }
      exec {'awesome_windowmanger':
        cmd => 'sudo update-alternatives --set x-window-manager /usr/bin/awesome',
        require => Package['awesome'],     
      }
      # TODO: Awesome Configuration?
    }
    'mate':{
      include badstation::x11::mate
    }
    'lxde':{
      include badstation::x11::lxde
    }
    default:{
      notify{'UNKOWN SESSION': 
        message => "Unkown Session ${session}"
  } } }
  # How to handle different display manager requests:
  case($display_manager){
    'slim':{
      package{'slim':
       ensure => 'present',
      }
      # TODO: Slim configuration?
    }
    default:{
      notify{'UNKOWN_DM': 
        message => "Unkown Display Manager ${slim}"
  } } }
  # Depending on
  # Misc Essential X11 Apps:
  package { [
    'xclip', # A program for interacting with the clipboard.
    'tilda', # A very simple quake like terminal.
    'x2goclient', # Good alternative for remote X11 access.
    'dolphin',
    'pcmanfm', # Two good file managers.
  ]:
    ensure => 'latest'
  }
  # These are needed only when running virtually
  if $::is_virtual{
    package { 'virtualbox-guest-x11':
      ensure => 'latest',
    }
  }
    
} 
